CREATE TABLE fnd_node_tl (
    ENTERPRISE_ID          NUMBER(18, 0),
    TREE_STRUCTURE_CODE    VARCHAR2(120),
    NODE_ID                VARCHAR2(128),
    NODE_NAME              VARCHAR2(320)    NOT NULL,
    DESCRIPTION            VARCHAR2(960),
    LANGUAGE               VARCHAR2(16) ,
    SOURCE_LANG            VARCHAR2(16)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ENTERPRISE_ID          NUMBER(18, 0),
    TREE_STRUCTURE_CODE    VARCHAR2(120),
    NODE_ID                VARCHAR2(128),
    NODE_NAME              VARCHAR2(320)    NOT NULL,
    DESCRIPTION            VARCHAR2(960),
    LANGUAGE               VARCHAR2(16) ,
    SOURCE_LANG            VARCHAR2(16)     NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CONSTRAINT pk_fnd_node_tl PRIMARY KEY (ENTERPRISE_ID, TREE_STRUCTURE_CODE, NODE_ID, LANGUAGE, ENTERPRISE_ID, TREE_STRUCTURE_CODE, NODE_ID, LANGUAGE)
);
